Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQSql Class Reference
[sql module]

The TQSql class is a namespace for TQt SQL identifiers that need to be global-like. More...

`#include <ntqsql.h>`

List of all member functions.

## Public Members

- TQSql ()
- enum Op { None = -1, Insert = 0, Update = 1, Delete = 2 }
- enum Location { BeforeFirst = -1, AfterLast = -2 }
- enum Confirm { Cancel = -1, No = 0, Yes = 1 }
- enum ParameterType { In = 1, Out = 2, InOut = 3 }
- enum TableType { Tables = 0x01, SystemTables = 0x02, Views = 0x04, AllTables = 0xff }

## Detailed Description

The TQSql class is a namespace for TQt SQL identifiers that need to be global-like.

Normally, you can ignore this class. Several TQt SQL classes inherit it, so all the identifiers in the TQt SQL namespace are visible without qualification.

See also Database Classes.

## Member Type Documentation

### TQSql::Confirm

This enum type describes edit confirmations.

- `TQSql::Yes`
- `TQSql::No`
- `TQSql::Cancel`

### TQSql::Location

This enum type describes SQL navigation locations.

- `TQSql::BeforeFirst`
- `TQSql::AfterLast`

### TQSql::Op

This enum type describes edit operations.

- `TQSql::None`
- `TQSql::Insert`
- `TQSql::Update`
- `TQSql::Delete`

### TQSql::ParameterType

This enum is used to set the type of a bind parameter

- `TQSql::In` - the bind parameter is used to put data into the database
- `TQSql::Out` - the bind parameter is used to receive data from the database
- `TQSql::InOut` - the bind parameter is used to put data into the database; it will be overwritten with output data on executing a query.

### TQSql::TableType

This enum type describes types of tables

- `TQSql::Tables` - All the tables visible to the user
- `TQSql::SystemTables` - Internal tables used by the DBMS
- `TQSql::Views` - All the views visible to the user
- `TQSql::AllTables` - All of the above

## Member Function Documentation

### TQSql::TQSql ()

Constructs a TQt SQL namespace class

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.